be.fgov.ehealth.samcivics.schemas.v2

## Class GetAddedDocumentsResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.samcivics.schemas.v2.GetAddedDocumentsResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T03:11:02+02:00",
                 comments="JAXB RI v2.3.7")
      public class GetAddedDocumentsResponse
      extends ResponseType
      implements Serializable

  Java class for GetAddedDocumentsResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetAddedDocumentsResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}ResponseType">
             <sequence>
               <element name="AddedDocument" type="{urn:be:fgov:ehealth:samcivics:type:v2}AddedDocumentType" maxOccurs="unbounded"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetAddedDocumentsResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AddedDocumentType>` | `getAddedDocuments()` Gets the value of the addedDocuments property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetAddedDocumentsResponse

          public GetAddedDocumentsResponse()

  - ### Method Detail

    - #### getAddedDocuments

          public List<AddedDocumentType> getAddedDocuments()

      Gets the value of the addedDocuments property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the addedDocuments property.

      For example, to add a new item, do as follows:

              getAddedDocuments().add(newItem);

      Objects of the following type(s) are allowed in the list `AddedDocumentType`

Connector Packaging PERSPHYSICIAN 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.